<div class="card">
  <div class="card-body">
    <div class="form-group row">
      <div class="col-12">
        <div class="form-group row">
          <div class="col-12 col-md-3">
            <label class="col-form-label">Title</label>
            <input type="text" class="form-control" [(ngModel)]="title" />
          </div>

          <div class="col-12 col-md-3">
            <label class="col-form-label">Content</label>
            <input type="text" class="form-control" [(ngModel)]="content" />
          </div>

          <div class="col-12 col-md-3">
            <label>Sort by</label>
            <select class="form-control" id="sortBy" [(ngModel)]="sortBy">
              <option value="createdAt">Created at</option>
              <option value="title">Title</option>
              <option value="content">Content</option>
            </select>
          </div>
          <div class="col-12 col-md-3">
            <label>Order</label>
            <select class="form-control" id="orderBy" [(ngModel)]="order">
              <option value="asc">Ascending</option>
              <option value="desc">Descending</option>
            </select>
          </div>
        </div>
      </div>
      <div class="col-12">
        <button class="btn btn-success float-right" (click)="search()">
          Search
        </button>
        <button class="btn btn-primary float-right mx-2" (click)="resetData()">
          Clear
        </button>
      </div>
      <ul class="col-12 list-unstyled">
        <app-blog-item
          (click)="gotoDetail(blogEl)"
          *ngFor="
            let blogEl of blogs
              | paginate
                : {
                    itemsPerPage: pageSize,
                    currentPage: page,
                    totalItems: count
                  }
          "
          [blog]="blogEl"
        ></app-blog-item>
      </ul>
      <div class="col-12 text-center">
        <pagination-controls
          previousLabel="Prev"
          nextLabel="Next"
          responsive="true"
          (pageChange)="handlePageChange($event)"
        ></pagination-controls>
      </div>
    </div>
  </div>
</div>
